# GET: /liquidator

#### LiqudationHistoryRequest

The request to the Liqudation History API can specify a number of filters, such as which accounts to retrieve information about.

| Type   | Key      | Description                        |
| ------ | -------- | ---------------------------------- |
| uint32 | `offset` | Offset of pagination. `Default: 0` |
| uint32 | `limit`  | Limit of pagination. `Max: 100`    |

**LiquidationHistoryResponse**

| Type                   | Key      | Description                                      |
| ---------------------- | -------- | ------------------------------------------------ |
| bool                   | `status` | If set false, indicates an error returning data. |
| liquidationHistoryData | `data`   | Voter data.                                      |

**LiquidationHistoryData**

| Type     | Key                     | Description             |
| -------- | ----------------------- | ----------------------- |
| string   | `txHash`                | Transaction Hash        |
| string   | `repayUnderlyingSymbol` | Repay underlying symbol |
| string   | `repayAmount`           | Repay amount            |
| string   | `seizeAddress`          | Seize token address     |
| string   | `borrower`              | Borrower address        |
| string   | `liquidator`            | Liquidator address      |
| string   | `repayAssetPrice`       | Repay asset's USD price |
| uint32   | `blockNumber`           | Block Number            |
| datetime | `blocktimestamp`        | Block timestamp         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strike.org/api/liquidationservice/liquidator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
